object MainForm: TMainForm
  Left = 328
  Top = 288
  Width = 870
  Height = 640
  Caption = 'Cellular Automata in Image Processing'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Verdana'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object Splitter1: TSplitter
    Left = 409
    Top = 41
    Height = 455
  end
  object Panel1: TPanel
    Left = 0
    Top = 496
    Width = 862
    Height = 110
    Align = alBottom
    TabOrder = 0
    DesignSize = (
      862
      110)
    object Label3: TLabel
      Left = 416
      Top = 40
      Width = 99
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Number of steps:'
    end
    object Label4: TLabel
      Left = 648
      Top = 40
      Width = 53
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Epsilon ='
    end
    object Label5: TLabel
      Left = 648
      Top = 64
      Width = 99
      Height = 13
      Anchors = [akTop, akRight]
      Caption = 'Number of steps:'
    end
    object btnLoadImg: TButton
      Left = 8
      Top = 32
      Width = 169
      Height = 23
      Caption = 'Load Image...'
      TabOrder = 0
      OnClick = btnLoadImgClick
    end
    object btnApplyNoiseReductionCA: TButton
      Left = 416
      Top = 8
      Width = 217
      Height = 23
      Anchors = [akTop, akRight]
      Caption = 'Apply Noise Reduction using CA'
      TabOrder = 1
      OnClick = btnApplyNoiseReductionCAClick
    end
    object btnApplyEdgeDetectionCA: TButton
      Left = 648
      Top = 8
      Width = 201
      Height = 23
      Anchors = [akTop, akRight]
      Caption = 'Apply Edge Detection using CA'
      TabOrder = 2
      OnClick = btnApplyEdgeDetectionCAClick
    end
    object btnSaveProcessedImg: TButton
      Left = 8
      Top = 64
      Width = 169
      Height = 23
      Caption = 'Save Processed Image...'
      TabOrder = 3
      OnClick = btnSaveProcessedImgClick
    end
    object NoiseSteps: TSpinEdit
      Left = 520
      Top = 36
      Width = 65
      Height = 22
      Anchors = [akTop, akRight]
      MaxValue = 10000
      MinValue = 1
      TabOrder = 4
      Value = 1
    end
    object chkShowProgress: TCheckBox
      Left = 416
      Top = 64
      Width = 217
      Height = 17
      Anchors = [akTop, akRight]
      Caption = 'Show progress directly on image'
      TabOrder = 5
    end
    object chkShowEdge: TCheckBox
      Left = 648
      Top = 85
      Width = 200
      Height = 17
      Anchors = [akTop, akRight]
      Caption = 'Show edge detection on image'
      TabOrder = 6
    end
    object Epsilon: TRxSpinEdit
      Left = 712
      Top = 36
      Width = 65
      Height = 22
      Decimal = 3
      MaxValue = 2147483647.000000000000000000
      MinValue = 1.000000000000000000
      Value = 2.000000000000000000
      Anchors = [akTop, akRight]
      TabOrder = 7
    end
    object EdgeSteps: TSpinEdit
      Left = 752
      Top = 60
      Width = 65
      Height = 22
      Anchors = [akTop, akRight]
      MaxValue = 10000
      MinValue = 1
      TabOrder = 8
      Value = 1
    end
  end
  object Panel2: TPanel
    Left = 0
    Top = 41
    Width = 409
    Height = 455
    Align = alLeft
    TabOrder = 1
    object ScrollBox1: TScrollBox
      Left = 1
      Top = 1
      Width = 407
      Height = 453
      Align = alClient
      TabOrder = 0
      object OriginalImg: TImage
        Left = 0
        Top = 0
        Width = 105
        Height = 105
      end
    end
  end
  object Panel3: TPanel
    Left = 412
    Top = 41
    Width = 450
    Height = 455
    Align = alClient
    TabOrder = 2
    object ScrollBox2: TScrollBox
      Left = 1
      Top = 1
      Width = 448
      Height = 453
      Align = alClient
      TabOrder = 0
      object ProcessedImg: TImage
        Left = 0
        Top = 0
        Width = 105
        Height = 105
      end
    end
  end
  object Panel4: TPanel
    Left = 0
    Top = 0
    Width = 862
    Height = 41
    Align = alTop
    TabOrder = 3
    object Label1: TLabel
      Left = 8
      Top = 5
      Width = 338
      Height = 18
      Caption = 'Cellular Automata in Image Processing'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Verdana'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object Label2: TLabel
      Left = 8
      Top = 21
      Width = 255
      Height = 16
      Caption = 'Developed && written by Ciprian Pungila'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Verdana'
      Font.Style = []
      ParentFont = False
    end
  end
  object XPManifest1: TXPManifest
    Left = 112
    Top = 8
  end
  object OpenDialog: TOpenDialog
    Filter = 'Bitmaps (*.bmp)|*.bmp|JPG images (*.jpg, *.jpeg)|*.jpg;*.jpeg'
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofShareAware, ofEnableSizing]
    Title = 'Load Image'
    Left = 145
    Top = 9
  end
  object SaveDialog: TSaveDialog
    Filter = 'Bitmaps (*.bmp)|*.bmp|JPG images (*.jpg, *.jpeg)|*.jpg;*.jpeg'
    Options = [ofHideReadOnly, ofPathMustExist, ofShareAware, ofEnableSizing]
    Title = 'Save Processed Image'
    Left = 177
    Top = 9
  end
end
